API references
Search documentation... ⌘K
API references
Merchant API

Confirm Branding Upload

Confirms the upload of a branding asset by providing the upload_id.

This effectively attaches the uploaded file to the merchant branding.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/confirm-branding-upload HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{
upload_id: string,
}
Returns: boolean
New to Reservepay? Read our guide on how to call endpoints to get started.
Request arguments
upload_id string

Required. The upload_id provided by Core when the upload url was generated.

Errors specific to this endpoint
NOT_FOUND

This error occurs when no upload with the provided ID exists in your merchant account.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.

CODE SAMPLES
curl
Learn how to run these code samples in your terminal by reading our guide.